/**
 * @author ATSTeam
 */
function return_stack() {
    this.stack = new Array();

    this.push = function(page_name, category_number, video_number, sorting, filter, first_video_id){
        if (first_video_id == null) first_video_id = 0;
        var step = {
            page_name: page_name,
            category_number: category_number,
            video_number: video_number,
            sorting: sorting,
            filter: filter,
            first_video_id: first_video_id
        };
        this.stack.push(step);
        global_categories.current_category = category_number;
        global_videos.current_video = video_number;
        global_videos.current_sort = sorting;
        global_videos.current_filter = filter;
        global_videos.first_video_id = first_video_id;
        //alert("push element " + page_name + " " + category_number + " " + video_number + " " + sorting + " " + filter + " " + first_video_id);
    }

    this.pop = function(){
        var step = this.stack.pop();
        //alert("pop element " + step.page_name + " " + step.category_number + " " + step.video_number + " " + step.sorting + " " + step.filter + " " + step.first_video_id);
        global_categories.current_category = step.category_number;
        global_videos.current_video = step.video_number;
        global_videos.current_sort = step.sorting;
        global_videos.current_filter = step.filter;
        global_videos.first_video_id = step.first_video_id;
        return step.page_name;
    }

    this.clear_history = function(){
        this.stack = [];
    }
    
    this.can_go_back = function(){
        return this.stack.length > 0
    }
    
    this.get_previous_video = function(){
        previous_video = this.stack[this.stack.length - 1].video_number;
        return previous_video;
    }
}    