function controller_see_also_videos_prototype(element_count) {
    this.page = "video_category";
    this.max_column_number = MAX_SEE_ALSO_VIDEOS_COLS;
    this.max_row_number = MAX_SEE_ALSO_VIDEOS_ROWS;
    this.element_count = element_count;
    
    this.left_keyDown = function(keyCode, item_id){
        if (((model_video.item_id == 0) && (item_id == 1)) ||
            ((model_video.item_id != 0) && (item_id == 0))){
            global_videos.current_video = model_video.item_id;
            $("#overseen_video").focus();
            $("#active_main_picture").show();
            var trimmed_title = trim_string(model_videos.filtered_current_videos[item_id].video_title, MAX_TRIMMED_TITLE_LENGTH, YES);
            $("#video" + item_id + "_title").html(trimmed_title);
            $("#video" + item_id).removeClass("active");
        } else {    
            if (item_id > 0) {
                var new_first_video_id = get_first_item_id_for_scrolling(item_id,
                                                                         this.max_column_number, 
                                                                         this.max_row_number, 
                                                                         global_videos.first_video_id, 
                                                                         tvKey.KEY_LEFT,
                                                                         ACTIVE_SEE_ALSO_VIDEOS_ROWS);
                if (new_first_video_id != global_videos.first_video_id) {
                    model_videos.first_video_id = new_first_video_id;
                    global_videos.first_video_id = new_first_video_id;
                    view_see_also_videos.build_view();
                };
                
                $("#video" + global_videos.current_video).focus();
                $("#video" + global_videos.current_video).addClass("active");
                var extend_title = trim_string(model_videos.filtered_current_videos[global_videos.current_video].video_title, MAX_EXTENDED_TITLE_LENGTH, YES);
                $("#video" + global_videos.current_video + "_title").html(extend_title);
                var trimmed_title = trim_string(model_videos.filtered_current_videos[item_id].video_title, MAX_TRIMMED_TITLE_LENGTH, YES);
                $("#video" + item_id + "_title").html(trimmed_title);
                $("#video" + item_id).removeClass("active");
                track_bar_drawing(global_videos.current_video, 
                                  MAX_SEE_ALSO_VIDEOS_COLS, 
                                  ACTIVE_SEE_ALSO_VIDEOS_ROWS, 
                                  model_videos.filtered_current_videos_count, 
                                  SEE_ALSO_SCROLL_LENGTH, 
                                  SEE_ALSO_SCROLL_TOP,
                                  SEE_ALSO_SCROLL_DIV_PREFIX,
                                  model_video.item_id);
            }
        } 
        
	};
	
	this.right_keyDown = function(keyCode, item_id){
        if (item_id < 0){
            if (model_videos.filtered_current_videos_count > 1){
                if (model_video.item_id == 0) item_id = 1;
                else item_id = 0;
            } else {
                return
            }
            global_videos.current_video = item_id;
            $("#active_main_picture").hide();
        } else {
            if (item_id < model_videos.filtered_current_videos_count) {
                
                var new_first_video_id = get_first_item_id_for_scrolling(item_id,
                                                                         this.max_column_number, 
                                                                         this.max_row_number, 
                                                                         global_videos.first_video_id, 
                                                                         tvKey.KEY_RIGHT,
                                                                         ACTIVE_SEE_ALSO_VIDEOS_ROWS);        
                if (new_first_video_id != global_videos.first_video_id) {
                    model_videos.first_video_id = new_first_video_id;
                    global_videos.first_video_id = new_first_video_id;
                    view_see_also_videos.build_view();
                };
                
                var trimmed_title = trim_string(model_videos.filtered_current_videos[item_id].video_title, MAX_TRIMMED_TITLE_LENGTH, YES);
                $("#video" + item_id + "_title").html(trimmed_title);
                $("#video" + item_id).removeClass("active");
            }	
        }
            
        $("#video" + global_videos.current_video).focus();
        $("#video" + global_videos.current_video).addClass("active");
        var extend_title = trim_string(model_videos.filtered_current_videos[global_videos.current_video].video_title, MAX_EXTENDED_TITLE_LENGTH, YES);
        $("#video" + global_videos.current_video + "_title").html(extend_title);
        track_bar_drawing(global_videos.current_video, 
                                  MAX_SEE_ALSO_VIDEOS_COLS, 
                                  ACTIVE_SEE_ALSO_VIDEOS_ROWS, 
                                  model_videos.filtered_current_videos_count, 
                                  SEE_ALSO_SCROLL_LENGTH, 
                                  SEE_ALSO_SCROLL_TOP,
                                  SEE_ALSO_SCROLL_DIV_PREFIX,
                                  model_video.item_id);
	};
    
	this.up_keyDown = function(keyCode, item_id){
        if (item_id - this.max_column_number >= 0) {
            var new_first_video_id = get_first_item_id_for_scrolling(item_id,
                                                                     this.max_column_number, 
                                                                     this.max_row_number, 
                                                                     global_videos.first_video_id, 
                                                                     tvKey.KEY_UP,
                                                                     ACTIVE_SEE_ALSO_VIDEOS_ROWS);
            
            if (new_first_video_id != global_videos.first_video_id) {
                model_videos.first_video_id = new_first_video_id;
                global_videos.first_video_id = new_first_video_id;
                view_see_also_videos.build_view();
            };
            
            var trimmed_title = trim_string(model_videos.filtered_current_videos[item_id].video_title, MAX_TRIMMED_TITLE_LENGTH, YES);
            $("#video" + item_id + "_title").html(trimmed_title);
            $("#video" + item_id).removeClass("active");
            $("#video" + global_videos.current_video).focus();
            $("#video" + global_videos.current_video).addClass("active");
            var extend_title = trim_string(model_videos.filtered_current_videos[global_videos.current_video].video_title, MAX_EXTENDED_TITLE_LENGTH, YES);
            $("#video" + global_videos.current_video + "_title").html(extend_title);
            track_bar_drawing(global_videos.current_video, 
                                  MAX_SEE_ALSO_VIDEOS_COLS, 
                                  ACTIVE_SEE_ALSO_VIDEOS_ROWS, 
                                  model_videos.filtered_current_videos_count, 
                                  SEE_ALSO_SCROLL_LENGTH, 
                                  SEE_ALSO_SCROLL_TOP,
                                  SEE_ALSO_SCROLL_DIV_PREFIX,
                                  model_video.item_id);
        }
	};
    
	this.down_keyDown = function(keyCode, item_id){
        if (item_id >= 0){ 
            if (item_id + this.max_column_number < model_videos.filtered_current_videos_count) {
                var new_first_video_id = get_first_item_id_for_scrolling(item_id,
                                                                         this.max_column_number, 
                                                                         this.max_row_number, 
                                                                         global_videos.first_video_id, 
                                                                         tvKey.KEY_DOWN,
                                                                         ACTIVE_SEE_ALSO_VIDEOS_ROWS);
                if (new_first_video_id!= global_videos.first_video_id) {
                    model_videos.first_video_id = new_first_video_id;
                    global_videos.first_video_id = new_first_video_id;
                    view_see_also_videos.build_view();
                };
                var trimmed_title = trim_string(model_videos.filtered_current_videos[item_id].video_title, MAX_TRIMMED_TITLE_LENGTH, YES);
                $("#video" + item_id + "_title").html(trimmed_title);
                $("#video" + item_id).removeClass("active");
                $("#video" + global_videos.current_video).focus();
                $("#video" + global_videos.current_video).addClass("active");
                var extend_title = trim_string(model_videos.filtered_current_videos[global_videos.current_video].video_title, MAX_EXTENDED_TITLE_LENGTH, YES);
                $("#video" + global_videos.current_video + "_title").html(extend_title);
                track_bar_drawing(global_videos.current_video, 
                                  MAX_SEE_ALSO_VIDEOS_COLS, 
                                  ACTIVE_SEE_ALSO_VIDEOS_ROWS, 
                                  model_videos.filtered_current_videos_count, 
                                  SEE_ALSO_SCROLL_LENGTH, 
                                  SEE_ALSO_SCROLL_TOP,
                                  SEE_ALSO_SCROLL_DIV_PREFIX,
                                  model_video.item_id);
            }
        }    
	};
    
    this.defaultKeyDown = function(keyCode, item_id){
        switch(keyCode){
            case tvKey.KEY_RED:
                    smart_return.push(this.page, 
                                  global_categories.current_category, 
                                  global_videos.current_video, 
                                  global_videos.current_sort, 
                                  global_videos.current_filter,
                                  global_videos.first_video_id);
                    global_categories.current_category = 0;
                    global_videos.current_video = -1;
                    global_videos.current_sort = 0;
                    global_videos.current_filter = 5; 
                    //model_videos.first_video_id = 0;
                    global_videos.first_video_id = 0;
                    view_categories.build_view(smart_return.can_go_back);
                    break;
        }           
    }
    
}


