function view_categories_prototype() {
}

view_categories_prototype.prototype.build_view = function(can_go_back) {
    $("#sort_videos_content").hide();
    $("#see_also_videos_content").hide();
    $("#video_content").hide();
    var category_list_html = "";   
    if (global_categories.categories_count == 0 ){
        category_list_html += "<a href=\"javascript:void(0);\" id=\"no_items\" onkeydown=\"controller.keyDown(-1,'category_list');\">"+
                         "При загрузке приложения произошел сбой. <br/>Пожалуйста, обновите страницу кнопкой \"выбор\" или повторите вход в приложение.</a>";
        $("#category_list").html(category_list_html);
        $("#categories_content").show();
        $("#no_items").focus();
        $("#loading").hide();  
        $("#categories_scrolling").hide();
        return
    }
    var row = 1;
    var column = 1;
    for (var counter = 0; counter < global_categories.categories_count; counter++) {
        if (column == (MAX_CATEGORIES_COLS + 1)) {
            row++;
            column = 1;
        }
        
        var img_class = 'category';
        if (row == 1) {
            img_class += ' top';
        }
        if (column == 1) {
            img_class += ' left';
        }
        category_list_html += "<a class='" + img_class + "' id='category" + counter + "' name='category" + counter + "' href='javascript:void(0);' "+
        "onkeydown='controller.set_category(" + counter + "); controller.keyDown(" + counter + ",\"category_list\");'><img src='" + 
        global_categories.categories_array[counter].image_link + "'/></a>";
        column++;
    }
    $("#category_list").html(category_list_html);
    if (global_categories.current_category == -1){
        $("#category0").focus();
        $("#category0").addClass("active");
    } else {
        $("#category" + global_categories.current_category).focus();
        $("#category" + global_categories.current_category).addClass("active");
    }
    if (can_go_back){
        $("#categories_content_back").html("Назад");
    } else {
        $("#categories_content_back").html("Выход");
    }
    $("#categories_content").show();
    $("#loading").hide();
    
}
view_categories_prototype.prototype.show_error = function(){
    $("#categories_content").html("<a href=\"javascript:void(0);\" id=\"no_items\">"+
    "Извините, произошел сбой соединения с сервером. Попробуйте запустить виджет позже.</a>");
}
