function view_see_also_videos_prototype() {
}
view_see_also_videos_prototype.prototype.build_view = function() {
    $("#categories_content").hide();
    $("#sort_videos_content").hide(); 
    $("#see_also_videos_content").show();
    $("#video_content").hide();
    $("#video_main_picture").attr("src",model_video.video_image);
    $("#video_title").html(model_video.video_title);
    if (model_video.author){
        $("#video_property_author").html(model_video.author);
    } else {
        $("#property_author").hide();
    }
    if (model_video.video_size){
        $("#video_property_size").html(model_video.video_size);
    } else {
        $("#property_size").hide();
    }
    $("#video_property_duration").html(format_time_to_phrase(model_video.video_duration));
    $("#video_property_created").html(get_russian_date(model_video.video_create_date));
    $("#main_video_description").html(model_video.video_description);
    var video_rating_html = "";
    for (var counter = 1; counter <= model_video.video_rating; counter++){
        video_rating_html += "<img src=\"/images/star_green.png\">";
    }
    for (var counter = model_video.video_rating; counter < MAX_RATING; counter++){
        video_rating_html += "<img src=\"/images/star_gray.png\">";
    }
    $("#main_video_raiting").html(video_rating_html);
    var see_also_html = "<div id=\"see_also_corner_top_left\">&nbsp;</div>"+
                        "<div id=\"see_also_corner_top_right\">&nbsp;</div>"+  
                        "<br class=\"clear\">" +
                        "<span class=\"video_category_title\">Смотрите также</span><div id=\"see_also_videos_list\">";
    var video_counter = 0;
    var video_item_number = 0;
    if (model_videos.filtered_current_videos_count < 2){
        see_also_html += "<div id=\"see_also_no_items\">"+
                         "Похожих видео нет. <br/>Можете вернуться назад, нажав кнопку \"Назад\" на вашем пульте.</div>";
        $("#overseen_video").focus();
        see_also_html += "</div><div id=\"see_also_video_bottom\">" +
                        "<div id=\"see_also_corner_bottom_left\">&nbsp;</div>" +
                        "<div id=\"see_also_corner_bottom_right\">&nbsp;</div>" +
                        "</div>";
        $("#see_also").html(see_also_html);
        $("#loading").hide();
        return
    }
    var displayed_video_count = MAX_SEE_ALSO_VIDEOS_COLS * MAX_SEE_ALSO_VIDEOS_ROWS + global_videos.first_video_id;
    if ((model_video.item_id >= global_videos.first_video_id) & (model_video.item_id <= displayed_video_count)) {
        displayed_video_count++;
    }
    if (displayed_video_count > model_videos.filtered_current_videos_count)
        displayed_video_count = model_videos.filtered_current_videos_count;
    for (video_counter = global_videos.first_video_id; video_counter < displayed_video_count; video_counter++){
        if (video_counter != model_video.item_id){
            video_duration = format_time(model_videos.filtered_current_videos[video_counter].video_duration);
            trimmed_title = trim_string(model_videos.filtered_current_videos[video_counter].video_title, 15, YES);
            video_rating_html = "";
            for (var counter = 1; counter <= model_videos.filtered_current_videos[video_counter].video_rating; counter++){
                video_rating_html += "<img src=\"/images/star_green.png\">";
            }
            for (var counter = model_videos.filtered_current_videos[video_counter].video_rating; counter < MAX_RATING; counter++){
                video_rating_html += "<img src=\"/images/star_gray_non_transparent.png\">";
            }
            see_also_html +=
                "<a class=\"video\" href=\"javascript:void(0);\" id=\"video" + video_counter + "\" name=\"video" + video_counter + "\""+
                " onkeydown=\"controller.set_video(" + video_counter + "); controller.keyDown(" + video_counter + ",'video_category');\">"+
                    "<div id=\"corner_top_left\">&nbsp;</div>"+
                    "<div id=\"corner_top_right\">&nbsp;</div>"+
                    "<div id=\"corner_bottom_left\">&nbsp;</div>"+
                    "<div id=\"corner_bottom_right\">&nbsp;</div>"+
                    "<div class=\"time_elipse\">"+video_duration+"</div>"+
                    "<img src=\""+model_videos.filtered_current_videos[video_counter].video_image+"\">"+
                    "<span id=\"video" + video_counter + "_title\">" + trimmed_title+"</span>"+
                    //"<span class=\"in_line\"><img src=\"images/eye.png\">" + model_videos.filtered_current_videos[video_counter].video_popularity + "</span>"+
                    "<span class=\"in_line\">" + video_rating_html + "</span>"+
                "</a>";
            video_item_number++
            if ((video_item_number % MAX_SEE_ALSO_VIDEOS_COLS) == 0){
                see_also_html += "<br class=\"clear\">";
            }
        }      
    }
    see_also_html += "</div><div id=\"see_also_video_bottom\">" +
                        "<div id=\"see_also_corner_bottom_left\">&nbsp;</div>" +
                        "<div id=\"see_also_corner_bottom_right\">&nbsp;</div>" +
                     "</div>";
    $("#see_also").html(see_also_html);
    $(".time_elipse").show();
    $("#loading").hide();
}
