function view_sort_videos_prototype() {
}

view_sort_videos_prototype.prototype.build_view = function() {
    $("#categories_content").hide();
    $("#sort_videos_content").show(); 
    $("#see_also_videos_content").hide();
    $("#video_content").hide();
    $("#videos_filter_and_sort").html(SORT_FILTER_TITLES[global_videos.current_sort] + SORT_FILTER_TITLES[global_videos.current_filter]);
    $("#category_name").html(global_categories.categories_array[global_categories.current_category].category_name);
    var video_rating_html = "";
    var category_html = "<div id=\"corner_top_left\">&nbsp;</div>"+
                        "<div id=\"corner_top_right\">&nbsp;</div>"+  
                        "<br class=\"clear\">";
    //var video_counter = 0;
    var video_item_number = 0;
    if (model_videos.filtered_current_videos_count == 0){
        category_html += "<a href=\"javascript:void(0);\" id=\"no_items\" onkeydown=\"controller.keyDown(-1,'category');\">"+
                         "Роликов по заданным параметрам не найдено. <br/>Попробуйте упорядочить ролики иначе с помощью зеленой кнопки или вернуться в начало с помощью кнопки \"назад\".</a>";
        $("#videos_list").html(category_html);
        $("#no_items").focus();
        $("#label_move_button").hide();
        $("#move_button_sort_videos").hide();
        $("#label_enter_button").hide();
        $("#enter_button_sort_videos").hide();
        return
    } else {
        $("#label_move_button").show();
        $("#move_button").show();
        $("#label_enter_button").show();
        $("#enter_button").show();
    }
    var displayed_video_count = MAX_SORT_VIDEOS_COLS * MAX_SORT_VIDEOS_ROWS + global_videos.first_video_id;
    if (displayed_video_count > model_videos.filtered_current_videos_count) {
        displayed_video_count = model_videos.filtered_current_videos_count;
    }
    for (var video_counter = global_videos.first_video_id; video_counter < displayed_video_count; video_counter++){
            video_duration = format_time(model_videos.filtered_current_videos[video_counter].video_duration);
            trimmed_title = trim_string(model_videos.filtered_current_videos[video_counter].video_title, MAX_TRIMMED_TITLE_LENGTH, YES);
            video_rating_html = "";
            for (var counter = 1; counter <= model_videos.filtered_current_videos[video_counter].video_rating; counter++){
                video_rating_html += "<img src=\"/images/star_green.png\">";
            }
            for (var counter = model_videos.filtered_current_videos[video_counter].video_rating; counter < MAX_RATING; counter++){
                video_rating_html += "<img src=\"/images/star_gray_non_transparent.png\">";
            }
            category_html +=
                "<a class=\"video\" href=\"javascript:void(0);\" id=\"video" + video_counter + "\" name=\"video" + video_counter + "\""+
                "onkeydown=\"controller.set_video(" + video_counter + "); controller.keyDown(" + video_counter + ",'category');\">"+
                    "<div id=\"corner_top_left\">&nbsp;</div>"+
                    "<div id=\"corner_top_right\">&nbsp;</div>"+
                    "<div id=\"corner_bottom_left\">&nbsp;</div>"+
                    "<div id=\"corner_bottom_right\">&nbsp;</div>"+
                    "<div class=\"time_elipse\">"+video_duration+"</div>"+
                    "<img src=\""+model_videos.filtered_current_videos[video_counter].video_image+"\">"+
                    "<span id=\"video" + video_counter + "_title\">"+trimmed_title+"</span>"+
                    //"<span class=\"in_line\"><img src=\"/images/eye.png\">" + model_videos.filtered_current_videos[video_counter].video_views + "</span>"+
                    "<span class=\"in_line\">" + video_rating_html + "</span>"+
                "</a>";
                video_item_number++;
                if ((video_item_number % MAX_SORT_VIDEOS_COLS) == 0)
                    category_html +="<br class=\"clear\">"; 
    }
    
    $("#videos_list").html(category_html);
    if (global_videos.current_video == -1){
        $("#video0").focus();
        $("#video0").addClass("active");
        var extend_title = trim_string(model_videos.filtered_current_videos[0].video_title, MAX_EXTENDED_TITLE_LENGTH, YES);
        $("#video0_title").html(extend_title);
    } else {
        $("#video" + global_videos.current_video).focus();
        $("#video" + global_videos.current_video).addClass("active");
        var extend_title = trim_string(model_videos.current_videos[global_videos.current_video].video_title, MAX_EXTENDED_TITLE_LENGTH, YES);
        $("#video" + global_videos.current_video + "_title").html(extend_title);
    }
    $(".time_elipse").show();
    $("#loading").hide();
    
}

