function view_video_prototype() {
}
view_video_prototype.prototype.build_view = function() {
    $("#current_time").html("0:00");
    $("#time_panel_play_progress").width(0);
    $("#time_panel_load_progress").width(0);
    $("#categories_content").hide();
    $("#sort_videos_content").hide(); 
    $("#see_also_videos_content").hide();
    $("#video_content").show();       
    $("#total_time").html(format_time(model_videos.filtered_current_videos[global_videos.current_video].video_duration));
    $("#single_video_title").html(model_videos.filtered_current_videos[global_videos.current_video].video_title);
    var video_rating_html = "";
    for (var counter = 1; counter <= model_videos.filtered_current_videos[global_videos.current_video].video_rating; counter++){
        video_rating_html += "<img src=\"/images/star_green.png\">";
    }
    for (var counter = model_videos.filtered_current_videos[global_videos.current_video].video_rating; counter < MAX_RATING; counter++){
        video_rating_html += "<img src=\"/images/star_gray_non_transparent.png\">";
    }
    $("#single_video_rating").html(video_rating_html);
    $("#single_video_description").html(model_videos.filtered_current_videos[global_videos.current_video].video_description);
    $("#single_video").focus();
    $("#video_information").hide();
    this.show_mute_state();
    this.move_mute_state();
} 

view_video_prototype.prototype.show_hide_info = function(){
    if ($("#video_information").css("visibility","").is(":hidden") == true){
        $("#video_information").show();
    } else {
        $("#video_information").hide();
    }
    this.show_mute_state();
    this.move_mute_state();
}

view_video_prototype.prototype.show_mute_state = function(){
    if (mute_state){
        $("#mute").show();
    } else {
        $("#mute").hide();
    }
}

view_video_prototype.prototype.move_mute_state = function(){
    if (mute_state){
        if ($("#video_information").css("visibility","").is(":hidden") == true){
            $("#mute").css({"top": "460px"});
        } else {
            $("#mute").css({"top": "330px"});
        }    
    }
}

view_video_prototype.prototype.move_volume_panel = function(){
        if ($("#video_information").css("visibility","").is(":hidden") == true){
            $("#volume_panel").css({"top": "460px"});
        } else {
            $("#volume_panel").css({"top": "330px"});
        }    
}